## rust-futures-rustls 0.24.0

=== debian/changelog ===
rust-futures-rustls (0.24.0-1) experimental; urgency=medium

  * initial packaging;
    closes:bug#1064163

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Feb 2024 23:01:19 +0100
