=== debian/control ===
Source: rust-futures-rustls
Section: rust
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-cargo,
 librust-futures-io-0.3+default-dev <!nocheck>,
 librust-rustls-0.21+default-dev <!nocheck>,
 librust-smol-1+default-dev <!nocheck>,
 librust-futures-util-0.3+default-dev <!nocheck>,
 librust-futures-util-0.3+io-dev <!nocheck>,
 librust-lazy-static-1+default-dev <!nocheck>,
 librust-rustls-pemfile-1+default-dev <!nocheck>,
 librust-rustls-native-certs-0.6+default-dev <!nocheck>,
 librust-rustls-webpki-0.101+default-dev <!nocheck>,
 libstring-shellquote-perl,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/debian/rust-futures-rustls.git
Vcs-Browser: https://salsa.debian.org/debian/rust-futures-rustls
Homepage: https://github.com/rustls/futures-rustls
Rules-Requires-Root: no

Package: librust-futures-rustls-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-futures-io-0.3+default-dev,
 librust-rustls-0.21+default-dev,
 ${misc:Depends},
Provides:
 librust-futures-rustls-0.24+default-dev (= ${binary:Version}),
 librust-futures-rustls-0.24+early-data-dev (= ${binary:Version}),
 librust-futures-rustls-0.24-dev (= ${binary:Version}),
 librust-futures-rustls-0.24.0-dev (= ${binary:Version}),
Description: asynchronous TLS/SSL streams for futures using Rustls
 futures-rustls provides asynchronous TLS/SSL streams
 for futures using Rustls.
 .
 Rustls is a modern TLS library written in Rust.
 It uses ring for cryptography
 and webpki for certificate verification.
 .
 Ring is a Rust library implementing safe, fast, small crypto
 using Rust with BoringSSL's cryptography primitives.
 .
 Webpki is a Rust library to validate Web PKI (TLS/SSL) certificates.
 .
 This package contains the source for the Rust futures-rustls crate,
 for use with cargo and dh-cargo.
