=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test rustls 0.24.0
 --all-targets
Features: test-name=rust-rustls:default
Depends:
 dh-cargo (>= 18),
 librust-smol-1+default-dev,
 librust-futures-util-0.3+default-dev,
 librust-futures-util-0.3+io-dev,
 librust-lazy-static-1+default-dev,
 librust-rustls-pemfile-1+default-dev,
 librust-rustls-native-certs-0.6+default-dev,
 librust-rustls-webpki-0.101+default-dev,
 librust-rustls-0.24+default-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test rustls 0.24.0
 --all-targets --all-features
Features: test-name=rust-rustls:@
Depends:
 dh-cargo (>= 18),
 librust-smol-1+default-dev,
 librust-futures-util-0.3+default-dev,
 librust-futures-util-0.3+io-dev,
 librust-lazy-static-1+default-dev,
 librust-rustls-pemfile-1+default-dev,
 librust-rustls-native-certs-0.6+default-dev,
 librust-rustls-webpki-0.101+default-dev,
 librust-rustls-0.24-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test rustls 0.24.0
 --all-targets --no-default-features
Features: test-name=rust-rustls:
Depends:
 dh-cargo (>= 18),
 librust-smol-1+default-dev,
 librust-futures-util-0.3+default-dev,
 librust-futures-util-0.3+io-dev,
 librust-lazy-static-1+default-dev,
 librust-rustls-pemfile-1+default-dev,
 librust-rustls-native-certs-0.6+default-dev,
 librust-rustls-webpki-0.101+default-dev,
 librust-rustls-0.24-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test rustls 0.24.0
 --all-targets --no-default-features --features early-data
Features: test-name=rust-rustls:early-data
Depends:
 dh-cargo (>= 18),
 librust-smol-1+default-dev,
 librust-futures-util-0.3+default-dev,
 librust-futures-util-0.3+io-dev,
 librust-lazy-static-1+default-dev,
 librust-rustls-pemfile-1+default-dev,
 librust-rustls-native-certs-0.6+default-dev,
 librust-rustls-webpki-0.101+default-dev,
 librust-rustls-0.24+early-data-dev,
Restrictions: allow-stderr
