## rust-futures-rustls 0.26.0

=== debian/changelog ===
rust-futures-rustls (0.26.0-9) unstable; urgency=medium

  * omit autopkgtest-checking unsupported no-features test

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Sep 2025 14:26:10 +0200

rust-futures-rustls (0.26.0-8) unstable; urgency=medium

  * fix autopkgtest-dependencies

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Sep 2025 09:09:22 +0200

rust-futures-rustls (0.26.0-7) unstable; urgency=medium

  * adjust autopkgtests
    to always include feature ring, seemingly required

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Sep 2025 00:57:25 +0200

rust-futures-rustls (0.26.0-6) unstable; urgency=medium

  * fix path to executable in autopkgtests;
    closes: bug#1115821, thanks to Jeremy Bícha

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Sep 2025 11:47:56 +0200

rust-futures-rustls (0.26.0-5) unstable; urgency=medium

  * update DEP-3 patch headers
  * simplify patch 2002_native_certs
  * add patch 1001_rustls-webpki
    to accept newer minor version of crate rustls-webpki;
    bump build- and autopkgtest-dependencies for crate rustls-webpki

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 13 Sep 2025 09:51:14 +0200

rust-futures-rustls (0.26.0-4) experimental; urgency=medium

  * update patch 2002
    to use newer branch of crate rustls-native-certs;
    bump build- and autopkgtest-dependencies
    for crate rustls-native-certs

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 09 Aug 2025 09:55:07 +0200

rust-futures-rustls (0.26.0-3) unstable; urgency=medium

  * fix autopkgtest references rustls -> futures-rustls

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 09 Aug 2025 09:48:47 +0200

rust-futures-rustls (0.26.0-2) unstable; urgency=medium

  * brown paperbag release: fix typo in rules file

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 09 Aug 2025 09:32:55 +0200

rust-futures-rustls (0.26.0-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update git-buildpackage config: fix usage comments
  * bump project versions in virtual packages and autopkgtests
  * provide and autopkgtest features logging ring tls12
  * declare compliance with Debian Policy 4.7.2
  * update and unfuzz patches
  * (build-)depend on crate rustls-pki-types;
    bump (build-)dependencies for crate rustls;
    bump build- and autopkgtest-dependencies
    for crates rustls-pemfile rustls-webpki
  * stop provide or autopkgtest mangled feature default;
    add TODO note about omitted features
  * work around mangled default features and failing test

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 09 Aug 2025 09:15:49 +0200

rust-futures-rustls (0.24.0-4) experimental; urgency=medium

  * simplify packaging;
    build-depend on dh-sequence-rust
    (not dh-cargo libstring-shellquote-perl)
  * declare compliance with Debian Policy 4.7.0
  * add patch 1001_smol to accept newer branch of crate smol;
    bump build- and autopkgtest-dependencies for crate smol
  * add patch 1002 to use rustls function add_trust_anchors
    (not add_server_trust_anchors)
  * reduce autopkgtest to check single-feature tests only on amd64
  * stop mention dh-cargo in long description
  * autopkgtest-depend on dh-rust (not dh-cargo);
    thanks to Peter Michael Green (see bug#1079557)
  * build- and autopktest-depend on ca-certificates;
    closes: bug#1069216, thanks to Jeremy Bícha
  * declare rust-related build-dependencies unconditionally,
    i.e. drop broken nocheck annotations
  * add metadata about upstream project
  * update git-buildpackage config:
    + filter out debian subdir
    + simplify usage comments
  * update watch file:
    + improve filename mangling
    + track git commits (not releases)
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 07 Feb 2025 07:43:08 +0100

rust-futures-rustls (0.24.0-3) unstable; urgency=medium

  * add patch cherry-picked upstream
    to replace expired test certificates;
    closes: bug#1064859.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 26 Feb 2024 22:03:15 +0100

rust-futures-rustls (0.24.0-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 18 Feb 2024 19:18:05 +0100
