=== debian/control ===
Source: rust-futures-rustls
Section: rust
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 ca-certificates,
 librust-futures-io-0.3+default-dev,
 librust-futures-util-0.3+default-dev,
 librust-futures-util-0.3+io-dev,
 librust-lazy-static-1+default-dev,
 librust-rustls-0.23+logging-dev,
 librust-rustls-0.23+ring-dev,
 librust-rustls-0.23+std-dev,
 librust-rustls-0.23+tls12-dev,
 librust-rustls-native-certs-0.8+default-dev,
 librust-rustls-pemfile-2+default-dev,
 librust-rustls-pki-types-1+default-dev,
 librust-rustls-webpki-0.103-dev,
 librust-smol-2+default-dev,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/debian/rust-futures-rustls.git
Vcs-Browser: https://salsa.debian.org/debian/rust-futures-rustls
Homepage: https://github.com/rustls/futures-rustls
Rules-Requires-Root: no

Package: librust-futures-rustls-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-futures-io-0.3+default-dev,
 librust-rustls-0.23+logging-dev,
 librust-rustls-0.23+ring-dev,
 librust-rustls-0.23+std-dev,
 librust-rustls-0.23+tls12-dev,
 librust-rustls-pki-types-1+default-dev,
 ${misc:Depends},
Provides:
# librust-futures-rustls-0.26+default-dev (= ${binary:Version}),
 librust-futures-rustls-0.26+early-data-dev (= ${binary:Version}),
 librust-futures-rustls-0.26+logging-dev (= ${binary:Version}),
 librust-futures-rustls-0.26+ring-dev (= ${binary:Version}),
 librust-futures-rustls-0.26+tls12-dev (= ${binary:Version}),
 librust-futures-rustls-0.26-dev (= ${binary:Version}),
 librust-futures-rustls-0.26.0-dev (= ${binary:Version}),
Description: asynchronous TLS/SSL streams for futures using Rustls
 futures-rustls provides asynchronous TLS/SSL streams
 for futures using Rustls.
 .
 Rustls is a modern TLS library written in Rust.
 It uses ring for cryptography
 and webpki for certificate verification.
 .
 Ring is a Rust library implementing safe, fast, small crypto
 using Rust with BoringSSL's cryptography primitives.
 .
 Webpki is a Rust library to validate Web PKI (TLS/SSL) certificates.
 .
 This package contains the source for the Rust futures-rustls crate,
 for use with cargo.
