=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# * fails as expected but with unexpected error code;
#   maybe broke by upstream git commit b36ab05, by or our using smol v2
TESTS_BROKEN = \
 stream_handshake_regression_issues_77

# test with optional feature "ring", since we mangled default features
override_dh_auto_test:
	dh_auto_test --buildsystem rust -- --features ring \
	 --no-fail-fast -- $(addprefix --skip ,$(TESTS_BROKEN))
