=== debian/tests/control ===
# check single-feature tests only on amd64
# omit checking locally mangled default feature or unsupported non-features tests
# always include feature "ring", seemingly required

#Test-Command: /usr/share/dh-rust/bin/cargo-auto-test futures-rustls 0.26.0
# --all-targets
# --no-fail-fast --
# --skip stream_handshake_regression_issues_77
#Features:
# test-name=rust-rustls:default,
#Depends:
# dh-rust,
# librust-futures-rustls-0.26+default-dev,
# librust-futures-util-0.3+default-dev,
# librust-futures-util-0.3+io-dev,
# librust-lazy-static-1+default-dev,
# librust-rustls-native-certs-0.8+default-dev,
# librust-rustls-pemfile-2+default-dev,
# librust-rustls-webpki-0.103-dev,
# librust-smol-2+default-dev,
#Restrictions:
# allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test futures-rustls 0.26.0
 --all-targets --all-features
 --no-fail-fast --
 --skip stream_handshake_regression_issues_77
Features:
 test-name=rust-rustls:@,
Depends:
 dh-rust,
 librust-futures-rustls-0.26-dev,
 librust-futures-util-0.3+default-dev,
 librust-futures-util-0.3+io-dev,
 librust-lazy-static-1+default-dev,
 librust-rustls-native-certs-0.8+default-dev,
 librust-rustls-pemfile-2+default-dev,
 librust-rustls-webpki-0.103-dev,
 librust-smol-2+default-dev,
Restrictions:
 allow-stderr,

#Test-Command: /usr/share/dh-rust/bin/cargo-auto-test futures-rustls 0.26.0
# --all-targets --no-default-features
# --no-fail-fast --
# --skip stream_handshake_regression_issues_77
#Features:
# test-name=rust-rustls:,
#Depends:
# dh-rust,
# librust-futures-rustls-0.26-dev,
# librust-futures-util-0.3+default-dev,
# librust-futures-util-0.3+io-dev,
# librust-lazy-static-1+default-dev,
# librust-rustls-native-certs-0.8+default-dev,
# librust-rustls-pemfile-2+default-dev,
# librust-rustls-webpki-0.101+default-dev,
# librust-smol-2+default-dev,
#Restrictions:
# allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test futures-rustls 0.26.0
 --all-targets --no-default-features --features early-data,ring
 --no-fail-fast --
 --skip stream_handshake_regression_issues_77
Features:
 test-name=rust-rustls:early-data+ring,
Depends:
 dh-rust,
 librust-futures-rustls-0.26+early-data-dev,
 librust-futures-rustls-0.26+ring-dev,
 librust-futures-util-0.3+default-dev,
 librust-futures-util-0.3+io-dev,
 librust-lazy-static-1+default-dev,
 librust-rustls-native-certs-0.8+default-dev,
 librust-rustls-pemfile-2+default-dev,
 librust-rustls-webpki-0.101+default-dev,
 librust-smol-2+default-dev,
Restrictions:
 allow-stderr,
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test futures-rustls 0.26.0
 --all-targets --no-default-features --features logging,ring
 --no-fail-fast --
 --skip stream_handshake_regression_issues_77
Features:
 test-name=rust-rustls:logging+ring,
Depends:
 dh-rust,
 librust-futures-rustls-0.26+logging-dev,
 librust-futures-rustls-0.26+ring-dev,
 librust-futures-util-0.3+default-dev,
 librust-futures-util-0.3+io-dev,
 librust-lazy-static-1+default-dev,
